> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/54.-system-views/pg_ident_file_mappings.md).

# 54.10. pg\_ident\_file\_mappings

## 54.10. pg\_ident\_file\_mappings

The view `pg_ident_file_mappings` provides a summary of the contents of the client user name mapping configuration file, [`pg_ident.conf`](/15/server-administration/client-authentication/user-name-maps.md). A row appears in this view for each non-empty, non-comment line in the file, with annotations indicating whether the map could be applied successfully.

This view can be helpful for checking whether planned changes in the authentication configuration file will work, or for diagnosing a previous failure. Note that this view reports on the *current* contents of the file, not on what was last loaded by the server.

By default, the `pg_ident_file_mappings` view can be read only by superusers.

**Table 54.10. `pg_ident_file_mappings` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                         |
| -------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>line\_number</code> <code>int4</code></p><p>Line number of this map in <code>pg\_ident.conf</code></p>                              |
| <p><code>map\_name</code> <code>text</code></p><p>Name of the map</p>                                                                        |
| <p><code>sys\_name</code> <code>text</code></p><p>Detected user name of the client</p>                                                       |
| <p><code>pg\_username</code> <code>text</code></p><p>Requested PostgreSQL user name</p>                                                      |
| <p><code>error</code> <code>text</code></p><p>If not <code>NULL</code>, an error message indicating why this line could not be processed</p> |

Usually, a row reflecting an incorrect entry will have values for only the `line_number` and `error` fields.

See [Chapter 21](/15/server-administration/client-authentication.md) for more information about client authentication configuration.

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/54.-system-views/pg_ident_file_mappings.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/54.-system-views/pg_ident_file_mappings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
